Skip to main content
Agents

Create an agent from a manifest

POST
/agents:import

Imports the provided manifest to create an agent and returns the created resource.

Query Parameters
api-versionstringrequired
The API version to use for this operation.
Request BodyContent-Type: application/json
namestringrequired
The unique name that identifies the agent. Name can be used to retrieve/update/delete the agent. - Must start and end with alphanumeric characters, - Can contain hyphens in the middle - Must not exceed 63 characters.
metadataobject
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.
descriptionstring
A human-readable description of the agent.
manifest_idstringrequired
The manifest ID to import the agent version from.
parameter_valuesobjectrequired
The inputs to the manifest that will result in a fully materialized Agent.
Responses
objectenumrequired
The object type, which is always 'agent'.
agent
idstringrequired
The unique identifier of the agent.
namestringrequired
The name of the agent.
stateenumrequired
The operational state of an agent.
enableddisabled
state_sourceenum
Indicates the source of an agent's operational state. Empty when the state is not derived from a specific source.
agent_instance_identityagent_blueprint
versionsobjectrequired
The latest version of the agent.
latestAgentVersionObjectrequired
agent_endpointAgentEndpointConfig
version_selectorVersionSelector
protocol_configurationProtocolConfiguration
Per-protocol configuration for the agent endpoint.
authorization_schemes(Entra | BotService | BotServiceRbac | BotServiceTenant)[]
The authorization schemes supported by the agent endpoint
publish_approval_statusenum
The Microsoft Agent Certification review status of the Microsoft 365 store title published for an agent.
not_publishedpendingapprovedrejectedno_approval_needed
digital_worker_typeenum
The type of digital worker.
m365
instance_identityAgentIdentity
principal_idstringrequired
The principal ID of the agent instance
client_idstringrequired
The client ID of the agent instance. Also referred to as the instance ID
statusenum
The status of an agent identity, applicable to both the agent instance identity and the agent blueprint.
activedisabled
blueprintAgentIdentity
principal_idstringrequired
The principal ID of the agent instance
client_idstringrequired
The client ID of the agent instance. Also referred to as the instance ID
statusenum
The status of an agent identity, applicable to both the agent instance identity and the agent blueprint.
activedisabled
blueprint_referenceManagedAgentIdentityBlueprint
One of the following:
ManagedAgentIdentityBlueprintManagedAgentIdentityBlueprintReference
agent_cardAgentCard
versionstringrequired
The version of the agent card.
descriptionstring
The description of the agent card.
skillsAgentCardSkill[]required
The set of skills that an agent can perform.